일시 중단된 실행을 재개합니다(예: 휴먼 인 더 루프 승인 후). 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
응답
-
지원되지 않거나 잘못된 API 버전, 선택한 게시된 계약에서 사용할 수 없는 작업 또는 허용되지 않는 표현(지원되지 않는 미디어 유형 매개변수 또는 제외된 SSE 포함). 기존 인증, 권한 부여 및 속도 제한 실패가 우선적으로 적용됩니다.
-
확인
-
잘못된 요청
-
승인되지 않음
-
찾을 수 없습니다.
-
충돌
-
PROJECT_SECRET_INVALID: 프로젝트 시크릿이 유효하지 않거나 연결할 수 없기 때문에 작업 공간을 시작할 수 없습니다(시크릿 수정 및 재배포).
-
ResumeExecutionResponse, AGENT_STARTUP_FAILED/STARTUP_FAILED 스타트업 실패의 경우 StartupFailureResponse 또는 워크플로 분기 활성화 실패의 경우 ErrorResponse
-
잘못된 게이트웨이
-
POOL_EXHAUSTED/EXECUTOR_BOOT_FAILED/PLATFORM_DEPENDENCY_FAILED/POOL_UNREACHABLE 스타트업 실패에 대한 StartupFailureResponse입니다. 그렇지 않으면 ErrorResponse를 반환합니다. POOL_EXHAUSTED는 Retry-After 헤더를 전달합니다.
-
게이트웨이 시간 초과
POST /api/v1/projects/{id}/executions/{execution_id}/resume
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/executions/{execution_id}/resume' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"decision": "approved",
"reviewer_notes": "Reviewed and approved.",
"suspend_generation": 1
}'
요청 예시
{
"decision": "approved",
"reviewer_notes": "Reviewed and approved.",
"suspend_generation": 1
}
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"error": "string",
"execution_id": "string",
"status": "string",
"success": true
}
응답 예시(200)
{
"error": "string",
"execution_id": "string",
"status": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(404)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(404)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(409)
{
"blocking_execution_id": "string",
"blocking_status": "string",
"code": "string",
"error": "string",
"last_activity_at": "string"
}
응답 예시(409)
{
"blocking_execution_id": "string",
"blocking_status": "string",
"code": "string",
"error": "string",
"last_activity_at": "string"
}
응답 예시(422)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(422)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
Resumeexecutionresponse
{
"error": "string",
"execution_id": "string",
"status": "string",
"success": true
}
{
"boot_id": "string",
"code": "string",
"component": "string",
"error": "string",
"execution_id": "string",
"sandbox": "string",
"source": "string",
"success": true
}
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
Resumeexecutionresponse
{
"error": "string",
"execution_id": "string",
"status": "string",
"success": true
}
{
"boot_id": "string",
"code": "string",
"component": "string",
"error": "string",
"execution_id": "string",
"sandbox": "string",
"source": "string",
"success": true
}
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"error": "string",
"execution_id": "string",
"status": "string",
"success": true
}
응답 예시(502)
{
"error": "string",
"execution_id": "string",
"status": "string",
"success": true
}
응답 예시(503)
Startupfailureresponse
# Headers
Retry-After: string
# Payload
{
"boot_id": "string",
"code": "string",
"component": "string",
"error": "string",
"execution_id": "string",
"sandbox": "string",
"source": "string",
"success": true
}
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(503)
Startupfailureresponse
# Headers
Retry-After: string
# Payload
{
"boot_id": "string",
"code": "string",
"component": "string",
"error": "string",
"execution_id": "string",
"sandbox": "string",
"source": "string",
"success": true
}
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(504)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(504)
{
"code": "string",
"error": "string",
"success": true
}